aboutsummaryrefslogtreecommitdiffstats
path: root/test_merge.bash
diff options
context:
space:
mode:
authorDan Prince <dprince@redhat.com>2015-11-25 11:17:14 -0500
committerDan Prince <dprince@redhat.com>2015-11-25 15:00:13 -0500
commitfba215a69da02a97f5132671c43a2cc6a5a2c2d1 (patch)
tree803b080b24dcda5d9d73912866f7c3b67b6031b8 /test_merge.bash
parent80d929c75f979d99d4e608aae790f38786b4e055 (diff)
Drop deprecated templates/Makefile/merge.py
This patch drops a bunch of deprecated stuff from tripleo-heat-templates. Once we remove the Makefile (which creates overcloud.yaml) we can proceed in renaming overcloud-without-mergepy.yaml to overcloud.yaml. Change-Id: Ic6ab3777d19e207cae29dcbc2e3839815cd80181
Diffstat (limited to 'test_merge.bash')
-rwxr-xr-xtest_merge.bash43
1 files changed, 0 insertions, 43 deletions
diff --git a/test_merge.bash b/test_merge.bash
deleted file mode 100755
index de29d075..00000000
--- a/test_merge.bash
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/bash
-set -ue
-result=""
-cleanup() {
- if [ -n "$result" ] ; then
- rm -f $result
- fi
-}
-trap cleanup EXIT
-run_test() {
- local cmd=$1
- local expected=$2
- result=$(mktemp /tmp/test_merge.XXXXXX)
- fail=0
- $cmd --output $result
- if ! cmp $result $expected ; then
- diff -u $expected $result || :
- echo FAIL - $cmd result does not match expected
- fail=1
- else
- echo PASS - $cmd
- fi
- cleanup
-}
-echo
-merge_py="./tripleo_heat_merge/merge.py"
-run_test "python $merge_py examples/source.yaml" examples/source_lib_result.yaml
-run_test "python $merge_py examples/source2.yaml" examples/source2_lib_result.yaml
-run_test "python $merge_py examples/source_include_subkey.yaml" examples/source_include_subkey_result.yaml
-run_test "python $merge_py examples/launchconfig1.yaml examples/launchconfig2.yaml" examples/launchconfig_result.yaml
-run_test "python $merge_py --scale NovaCompute=3 examples/scale1.yaml" examples/scale_result.yaml
-run_test "python $merge_py --scale NovaCompute=3 examples/scale_map.yaml" examples/scale_map_result.yaml
-run_test "python $merge_py --hot examples/source_hot.yaml" examples/source_lib_result_hot.yaml
-run_test "python $merge_py --hot examples/source2_hot.yaml" examples/source2_lib_result_hot.yaml
-run_test "python $merge_py --hot examples/source_include_subkey_hot.yaml" examples/source_include_subkey_result_hot.yaml
-run_test "python $merge_py --hot examples/launchconfig1_hot.yaml examples/launchconfig2_hot.yaml" examples/launchconfig_result_hot.yaml
-run_test "python $merge_py --hot --scale NovaCompute=3 examples/scale1_hot.yaml" examples/scale_result_hot.yaml
-run_test "python $merge_py --hot --scale NovaCompute=3 examples/scale_map_hot.yaml" examples/scale_map_result_hot.yaml
-run_test "python $merge_py --hot --scale NovaCompute=5,1,2 examples/scale_map_hot.yaml" examples/scale_map_result_hot_blacklist.yaml
-run_test "python $merge_py --hot --scale NovaCompute=3, examples/scale_map_hot.yaml" examples/scale_map_result_hot.yaml
-echo
-trap - EXIT
-exit $fail